Skip to main content

GET /emails/

Get full details of a sent email, including delivery status and tracking events.

Authentication

JWT (Dashboard)

Path Parameters

ParameterTypeDescription
idstring (UUID)Email log ID

Response

{
  "success": true,
  "data": {
    "email": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "from_email": "you@yourdomain.com",
      "to_emails": ["user@example.com"],
      "cc_emails": [],
      "bcc_emails": [],
      "subject": "Hello from Sendi",
      "html_content": "<p>It just works.</p>",
      "text_content": null,
      "status": "delivered",
      "open_count": 2,
      "click_count": 1,
      "last_opened_at": "2026-03-07T14:30:00Z",
      "last_clicked_at": "2026-03-07T14:31:00Z",
      "created_at": "2026-03-07T12:00:00Z",
      "webhook_events": [
        {
          "event_type": "email.delivered",
          "event_data": {},
          "created_at": "2026-03-07T12:00:05Z"
        }
      ]
    }
  }
}